petsc-3.15.0 2021-03-30
Report Typos and Errors

# KSPCGSetRadius

Sets the radius of the trust region.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPCGSetRadius(KSP ksp, PetscReal radius)

Logically Collective on ksp

### Input Parameters

| ksp | - the iterative context
| radius | - the trust region radius (Infinity is the default)

### See Also

KSP, KSPCG, KSPNASH, KSPSTCG, KSPGLTR

### Level

advanced

### Location

src/ksp/ksp/impls/cg/cgtype.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages